package de.fhdw.wtf.dsl.scanner.common;

/**
 * Interface for {@link ScannerState} matching.
 * 
 * Used for {@link Delta} creation.
 * 
 */
public interface StateMatcher {
	
	/**
	 * Matches the given {@link ScannerState}.
	 * 
	 * @param state
	 *            {@link ScannerState} to be matched
	 * @return matching result
	 */
	boolean match(ScannerState state);
	
}
