package de.fhdw.wtf.common.constants.referencer;

/**
 * Class contains all string representations of the available BaseTypes.
 */
public final class BaseTypeConstants {
	
	/**
	 * String.
	 */
	public static final String STRING_CONSTANT = "String";
	
	/**
	 * Integer.
	 */
	public static final String INTEGER_CONSTANT = "Integer";
	
	/**
	 * Anything.
	 */
	public static final String ANYTHING_CONSTANT = "Anything";
	
	/**
	 * Constructor of {@link BaseTypeConstants}.
	 */
	private BaseTypeConstants() {
	}
}
