package de.fhdw.wtf.common.exception.walker;

/**
 * Thrown if dependency processing encounters an error situation.
 */
public class DependencyException extends RuntimeException {
	
	/**
	 * Creates a DependencyException from a message.
	 * 
	 * @param message
	 *            The exception message.
	 */
	public DependencyException(final String message) {
		super(message);
	}
	
	/**
	 * Creates a DependencyException from a message and a cause.
	 * 
	 * @param message
	 *            The exception message.
	 * @param cause
	 *            The underlying cause.
	 */
	public DependencyException(final String message, final Throwable cause) {
		super(message, cause);
	}
	
}
